Bug 2004122 - OVS logging in must gather is missing previous logging levels
Summary: OVS logging in must gather is missing previous logging levels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Nadia Pinaeva
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1970129
Blocks: 2004581
TreeView+ depends on / blocked
 
Reported: 2021-09-14 14:20 UTC by OpenShift BugZilla Robot
Modified: 2021-10-12 06:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-12 06:01:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2762 0 None open [release-4.8] Bug 2004122: Set ovs syslog level to info 2021-09-14 14:20:50 UTC
Red Hat Product Errata RHBA-2021:3682 0 None None None 2021-10-12 06:01:45 UTC

Comment 1 Ross Brattain 2021-09-20 12:18:20 UTC
Tested with https://github.com/openshift/machine-config-operator/pull/2762


ExecStartPre={ path=/bin/sh ; argv[]=/bin/sh -c /usr/bin/chown :$${OVS_USER_ID##*:} /dev/hugepages ; ignore_errors=yes ; start_time=[Mon 2021-09-20 10:38:36 UTC] ; stop_time=[Mon 2021-09-20 10:38:36 UTC] ; pid=1135 ; code=exited ; status=0 }
ExecStartPre={ path=/usr/bin/chmod ; argv[]=/usr/bin/chmod 0775 /dev/hugepages ; ignore_errors=yes ; start_time=[Mon 2021-09-20 10:38:36 UTC] ; stop_time=[Mon 2021-09-20 10:38:36 UTC] ; pid=1137 ; code=exited ; status=0 }
ExecStartPre={ path=/bin/sh ; argv[]=/bin/sh -c /usr/bin/chown -R :$${OVS_USER_ID##*:} /var/lib/openvswitch ; ignore_errors=yes ; start_time=[Mon 2021-09-20 10:38:36 UTC] ; stop_time=[Mon 2021-09-20 10:38:36 UTC] ; pid=1139 ; code=exited ; status=0 }
ExecStartPre={ path=/bin/sh ; argv[]=/bin/sh -c /usr/bin/chown -R :$${OVS_USER_ID##*:} /etc/openvswitch ; ignore_errors=yes ; start_time=[Mon 2021-09-20 10:38:36 UTC] ; stop_time=[Mon 2021-09-20 10:38:36 UTC] ; pid=1141 ; code=exited ; status=0 }
ExecStartPre={ path=/bin/sh ; argv[]=/bin/sh -c /usr/bin/chown -R :$${OVS_USER_ID##*:} /run/openvswitch ; ignore_errors=yes ; start_time=[Mon 2021-09-20 10:38:36 UTC] ; stop_time=[Mon 2021-09-20 10:38:36 UTC] ; pid=1143 ; code=exited ; status=0 }
ExecStart={ path=/usr/share/openvswitch/scripts/ovs-ctl ; argv[]=/usr/share/openvswitch/scripts/ovs-ctl --no-ovsdb-server --no-monitor --system-id=random ${OVS_USER_OPT} start $OPTIONS ; ignore_errors=no ; start_time=[Mon 2021-09-20 10:38:36 UTC] ; stop_time=[Mon 2021-09-20 10:38:36 UTC] ; pid=1145 ; code=exited ; status=0 }
ExecStartPost={ path=/usr/bin/ovs-appctl ; argv[]=/usr/bin/ovs-appctl vlog/set syslog:info ; ignore_errors=yes ; start_time=[Mon 2021-09-20 10:38:36 UTC] ; stop_time=[Mon 2021-09-20 10:38:36 UTC] ; pid=1196 ; code=exited ; status=0 }
ExecReload={ path=/usr/share/openvswitch/scripts/ovs-ctl ; argv[]=/usr/share/openvswitch/scripts/ovs-ctl --no-ovsdb-server --no-monitor --system-id=random ${OVS_USER_OPT} restart $OPTIONS ; ignore_errors=no ; start_time=[n/a] ; stop_time=[n/a] ; pid=0 ; code=(null) ; status=0/0 }
ExecReload={ path=/usr/bin/ovs-appctl ; argv[]=/usr/bin/ovs-appctl vlog/set syslog:info ; ignore_errors=yes ; start_time=[n/a] ; stop_time=[n/a] ; pid=0 ; code=(null) ; status=0/0 }
ExecStop={ path=/usr/share/openvswitch/scripts/ovs-ctl ; argv[]=/usr/share/openvswitch/scripts/ovs-ctl --no-ovsdb-server stop ; ignore_errors=no ; start_time=[n/a] ; stop_time=[n/a] ; pid=0 ; code=(null) ; status=0/0 }

-- Logs begin at Mon 2021-09-20 10:45:50 UTC, end at Mon 2021-09-20 11:22:05 UTC. --
Sep 20 10:46:20.953444 ip-10-0-178-253 systemd[1]: Starting Open vSwitch Forwarding Unit...
Sep 20 10:46:21.165573 ip-10-0-178-253 ovs-ctl[1476]: Inserting openvswitch module.
Sep 20 10:46:21.172500 ip-10-0-178-253 ovs-ctl[1476]: 2021-09-20T10:46:21Z|00001|dns_resolve|WARN|Failed to read /etc/resolv.conf: No such file or directory
Sep 20 10:46:21.172506 ip-10-0-178-253 ovs-vswitchd[1516]: ovs|00001|dns_resolve|WARN|Failed to read /etc/resolv.conf: No such file or directory
Sep 20 10:46:22.311462 ip-10-0-178-253 ovs-ctl[1476]: Starting ovs-vswitchd.
Sep 20 10:46:22.319082 ip-10-0-178-253 ovs-vsctl[1526]: ovs|00001|vsctl|INFO|Called as ovs-vsctl --no-wait add Open_vSwitch . external-ids hostname=ip-10-0-178-253
Sep 20 10:46:22.319506 ip-10-0-178-253 ovs-ctl[1476]: Enabling remote OVSDB managers.
Sep 20 10:46:22.325999 ip-10-0-178-253 systemd[1]: Started Open vSwitch Forwarding Unit.
Sep 20 10:48:31.551898 ip-10-0-178-253 ovs-vswitchd[1517]: ovs|00009|memory|INFO|57416 kB peak resident set size after 130.4 seconds
Sep 20 10:48:31.587884 ip-10-0-178-253 systemd[1]: Stopping Open vSwitch Forwarding Unit...
Sep 20 10:48:31.629698 ip-10-0-178-253 ovs-ctl[2034]: Exiting ovs-vswitchd (1517).
Sep 20 10:48:31.731442 ip-10-0-178-253 systemd[1]: ovs-vswitchd.service: Succeeded.
Sep 20 10:48:31.732215 ip-10-0-178-253 systemd[1]: Stopped Open vSwitch Forwarding Unit.
Sep 20 10:48:31.733211 ip-10-0-178-253 systemd[1]: ovs-vswitchd.service: Consumed 165ms CPU time
-- Logs begin at Mon 2021-09-20 10:45:50 UTC, end at Mon 2021-09-20 11:22:05 UTC. --
Sep 20 10:49:04.168847 localhost systemd[1]: Starting Open vSwitch Forwarding Unit...
Sep 20 10:49:04.291370 localhost ovs-ctl[1105]: Inserting openvswitch module.
Sep 20 10:49:04.530689 localhost ovs-ctl[1105]: Starting ovs-vswitchd.
Sep 20 10:49:04.536659 localhost ovs-vsctl[1154]: ovs|00001|vsctl|INFO|Called as ovs-vsctl --no-wait add Open_vSwitch . external-ids hostname=localhost
Sep 20 10:49:04.537992 localhost ovs-ctl[1105]: Enabling remote OVSDB managers.
Sep 20 10:49:04.545006 localhost systemd[1]: Started Open vSwitch Forwarding Unit.
Sep 20 10:49:05.972284 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00008|ofproto_dpif|INFO|system@ovs-system: Datapath supports recirculation
Sep 20 10:49:05.972419 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00009|ofproto_dpif|INFO|system@ovs-system: VLAN header stack length probed as 2
Sep 20 10:49:05.972495 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00010|ofproto_dpif|INFO|system@ovs-system: MPLS label stack length probed as 3
Sep 20 10:49:05.972526 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00011|ofproto_dpif|INFO|system@ovs-system: Datapath supports truncate action
Sep 20 10:49:05.972555 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00012|ofproto_dpif|INFO|system@ovs-system: Datapath supports unique flow ids
Sep 20 10:49:05.972570 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00013|ofproto_dpif|INFO|system@ovs-system: Datapath supports clone action
Sep 20 10:49:05.972729 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00014|ofproto_dpif|INFO|system@ovs-system: Max sample nesting level probed as 10
Sep 20 10:49:05.972761 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00015|ofproto_dpif|INFO|system@ovs-system: Datapath supports eventmask in conntrack action
Sep 20 10:49:05.972789 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00016|ofproto_dpif|INFO|system@ovs-system: Datapath supports ct_clear action
Sep 20 10:49:05.972806 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00017|ofproto_dpif|INFO|system@ovs-system: Max dp_hash algorithm probed to be 0
Sep 20 10:49:05.972835 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00018|ofproto_dpif|INFO|system@ovs-system: Datapath supports check_pkt_len action
Sep 20 10:49:05.986476 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00019|ofproto_dpif|INFO|system@ovs-system: Datapath supports timeout policy in conntrack action
Sep 20 10:49:05.986495 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00020|ofproto_dpif|INFO|system@ovs-system: Datapath supports ct_zero_snat
Sep 20 10:49:05.986549 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00021|ofproto_dpif|INFO|system@ovs-system: Datapath supports ct_state
Sep 20 10:49:05.986585 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00022|ofproto_dpif|INFO|system@ovs-system: Datapath supports ct_zone
Sep 20 10:49:05.986620 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00023|ofproto_dpif|INFO|system@ovs-system: Datapath supports ct_mark
Sep 20 10:49:05.986661 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00024|ofproto_dpif|INFO|system@ovs-system: Datapath supports ct_label
Sep 20 10:49:05.986694 ip-10-0-178-253 ovs-vswitchd[1147]: ovs|00025|ofproto_dpif|INFO|system@ovs-system: Datapath supports ct_state_nat

Comment 6 errata-xmlrpc 2021-10-12 06:01:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3682


Note You need to log in before you can comment on or make changes to this bug.